%define	major 4
%define libname	%mklibname pst %{major}
%define develname %mklibname -d pst

Summary:            Utilities to convert Outlook .pst files to other formats
Name:               libpst
Version:            0.6.55
Release:            %mkrel 4
License:            GPLv2+
Group:              Networking/Mail
Source:             http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.gz
Patch0:	            libpst-0.6.45-linkage.patch
URL:                http://www.five-ten-sg.com/%{name}/
Requires:           ImageMagick
Requires:	    %{libname} = %{epoch}:%{version}
BuildRequires:      ImageMagick
BuildRequires:      freetype-devel
BuildRequires:      gd-devel
BuildRequires:      jpeg-devel
BuildRequires:      zlib-devel
BuildRequires:      gettext-devel
BuildRequires:      python-devel
BuildRequires:      boost-devel
Obsoletes:	    pst-utils
Provides:	    pst-utils
Epoch:	1

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:          System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python-%name
Summary:	Python binding for the libpst library
Group:		Development/Python
Requires:	%libname = %epoch:%version-%release

%description -n	python-%name
Python module for using pst files.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-libpst-shared --enable-shared --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%name
%py_platsitedir/_libpst.so


%changelog

* Wed Apr 10 2013 malo <malo> 1:0.6.55-4.mga3
+ Revision: 409464
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1:0.6.55-3.mga3
+ Revision: 358012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1:0.6.55-2.mga3
+ Revision: 333069
- rebuild for new boost

* Fri Sep 14 2012 fwang <fwang> 1:0.6.55-1.mga3
+ Revision: 293756
- new version 0.6.55

* Wed Aug 01 2012 fwang <fwang> 1:0.6.54-3.mga3
+ Revision: 276865
- rebuild for new boost

* Tue May 29 2012 ovitters <ovitters> 1:0.6.54-2.mga3
+ Revision: 249437
- rebuild due to new boost

* Tue Jan 03 2012 fwang <fwang> 1:0.6.54-1.mga2
+ Revision: 189945
- new version 0.6.54

* Mon Nov 28 2011 fwang <fwang> 1:0.6.53-2.mga2
+ Revision: 173622
- rebuild for new boost
- rebuild for new boost

  + tv <tv>
    - new release
    - disabled static build

* Wed Jun 29 2011 fwang <fwang> 1:0.6.52-1.mga2
+ Revision: 115631
- new version 0.6.52

* Wed Jun 22 2011 fwang <fwang> 1:0.6.49-3.mga2
+ Revision: 112071
- use mt flavour of boost
- rebuild for new boost

* Sun Jan 23 2011 pterjan <pterjan> 1:0.6.49-2.mga1
+ Revision: 35407
- imported package libpst


* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.49-2mdv2011.0
+ Revision: 593342
- rebuild for new python 2.7

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.49-1mdv2011.0
+ Revision: 582006
- update to new version 0.6.49

* Sat Sep 04 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.48-1mdv2011.0
+ Revision: 575877
- update to new version 0.6.48

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1:0.6.47-2mdv2011.0
+ Revision: 572245
- rebuild for new boost

* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.47-1mdv2011.0
+ Revision: 567293
- update to new version 0.6.47

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1:0.6.46-2mdv2011.0
+ Revision: 566293
- rebuild for new boost

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.46-1mdv2010.1
+ Revision: 506451
- new version

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1:0.6.45-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1:0.6.45-2mdv2010.1
+ Revision: 500297
- use patch rather than env

* Thu Dec 24 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.45-1mdv2010.1
+ Revision: 482019
- update to new version 0.6.45

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.44-1mdv2010.0
+ Revision: 447187
- update to new version 0.6.44

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1:0.6.41-3mdv2010.0
+ Revision: 418827
- rebuild for new libboost

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-2mdv2010.0
+ Revision: 402910
- fix python dep

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-1mdv2010.0
+ Revision: 401413
- update build deps
- new version
- drop patches
- new major
- update file list
- add python module

* Wed Mar 25 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-4mdv2009.1
+ Revision: 361174
- fix string format not literal (fix from upstream git)

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-3mdv2009.1
+ Revision: 360890
- add P0 to fix compatibility with evolution pst-import plugin

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-2mdv2009.1
+ Revision: 360848
- deal with epoch and libs

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-1mdv2009.1
+ Revision: 360817
- downgrade to 0.6.27, the current version has an incompatible ABI with evolution plugin
- drop uneeded patch

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-3mdv2009.1
+ Revision: 360553
- BR gettext-devel
- libpst replaces pst-utils
- diff P0 because define.h is not packaged

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-2mdv2009.1
+ Revision: 360504
- package libification

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-1mdv2009.1
+ Revision: 360420
- import libpst


